> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Provider Credential Configs

> List credential field configurations for all providers.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /agent/providers/configs
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /agent/providers/configs:
    get:
      tags:
        - agent
      summary: List Provider Credential Configs
      description: List credential field configurations for all providers.
      operationId: agent-list_provider_credential_configs
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ProviderCredentialConfig'
                type: array
                title: Response Agent-List Provider Credential Configs
      security:
        - APIKeyCookie: []
components:
  schemas:
    ProviderCredentialConfig:
      properties:
        provider:
          type: string
          maxLength: 100
          minLength: 1
          title: Provider
          description: The provider name
        label:
          type: string
          maxLength: 200
          minLength: 1
          title: Label
          description: Human-readable label for the provider
        fields:
          items:
            $ref: '#/components/schemas/ProviderCredentialField'
          type: array
          title: Fields
          description: Required credential fields
      type: object
      required:
        - provider
        - label
        - fields
      title: ProviderCredentialConfig
      description: Model for provider credential configuration.
    ProviderCredentialField:
      properties:
        key:
          type: string
          maxLength: 100
          minLength: 1
          title: Key
          description: The environment variable key for this credential
        label:
          type: string
          maxLength: 200
          minLength: 1
          title: Label
          description: Human-readable label for the field
        type:
          type: string
          enum:
            - text
            - password
          title: Type
          description: 'Input type: ''text'' or ''password'''
        description:
          type: string
          maxLength: 500
          minLength: 1
          title: Description
          description: Help text describing this credential
        required:
          type: boolean
          title: Required
          description: Whether this field is required
          default: true
      type: object
      required:
        - key
        - label
        - type
        - description
      title: ProviderCredentialField
      description: Model for defining credential fields required by a provider.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````